#include<iostream>
#define endl "\n"

using namespace std;

long long x[500002];
long long y[500002];

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    long long n;
    cin >> n;

    long long maxY = 0;

    for (int i = 0; i < n; i++) {
        cin >> x[i];
        cin >> y[i];

        maxY = max(maxY, y[i]);
    }

    for (int i = 0; i <= maxY; i++) {

    }

    cout << 3 << endl << 4;
    cout << endl;

    return 0;
}